@echo off


REM=======================================================
REM              Battery Report Generator
REM              3-02-2016
REM              Zack Bozin
REM=======================================================

REM=======================================================
REM              Description
REM
REM  This script generates a full battery report on the
REM  user's Desktop in an HTML file
REM  This Command will produce no filename if an error is
REM  generated, but it will say that it did as per the ECHO
REM=======================================================
REM
REM=======================================================
REM              Change Log
REM
REM  3/9/16 - Added in a Check for Admin permissions
REM 	      Added Commenting to indicate what each line does
REM	      Added a Pause at the end to avoid premature exits
REM=======================================================

:check_Permissions
REM Check for Admin rights
net session >nul 2>&1
if %errorLevel% == 0 (
    GOTO continue
) else (
    ECHO.
    ECHO Please re-run this script as an Administrator.
)
pause >nul
GOTO :EOF

:continue

:: Generate a battery report and output to user desktop ::
powercfg /batteryreport /output "%userprofile%\Desktop\battery_report.html"

:: open battery report ::
%userprofile%\Desktop\battery_report.html

:: Generate message detialing where file is located and then pause ::
REM START CMD /C "ECHO Battery Report Should Have Been Generated... File Name: "battery_report.html" on the Desktop." && PAUSE

PAUSE